/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
Ext.define('NX.cargo.app.PluginConfig', {
  '@aggregate_priority': 100,

  controllers: [
    {
      id: 'NX.cargo.controller.CargoDependencySnippetController',
      active: true
    }
  ]
});

/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/
Ext.define('NX.cargo.controller.CargoDependencySnippetController', {
  extend: 'NX.app.Controller',

  /**
   * @override
   */
  init: function() {
    NX.getApplication().getDependencySnippetController().addDependencySnippetGenerator('cargo', this.snippetGenerator);
  },

  snippetGenerator: function(componentModel, assetModel) {
    var dependencyName = componentModel.get('name'),
        version = componentModel.get('version');

    if (!version) return [];
    
    return [
      {
        displayName: 'cargo',
        description: 'Run the following command in your project directory:',
        snippetText: 'cargo add ' + dependencyName + '@' + version
      },
      {
        displayName: 'manual',
        description: 'Add the following line to your Cargo.toml:',
        snippetText: dependencyName + ' = "' + version + '"'
      }
    ]
  }
});

